%define upstream_name	 JSON
%define upstream_version 2.53

%define _provides_exceptions perl(JSON::PP)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Parse and convert to JSON (JavaScript Object Notation)
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MA/MAKAMAKA/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(JSON::backportPP)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module converts between JSON (JavaScript Object Notation) and
Perl data structure into each other.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
sed -i.DOS -e 's/\r//g' README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc Changes META.yml README eg
%{_mandir}/*/*
%{perl_vendorlib}/JSON*

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 2.530.0-1.mga2
+ Revision: 107003
- update to 2.53

* Wed Mar 09 2011 jquelin <jquelin> 2.510.0-1.mga1
+ Revision: 66987
- update to 2.51

* Mon Feb 28 2011 jquelin <jquelin> 2.500.0-3.mga1
+ Revision: 61588
- prevent perl(JSON::PP) to be referenced here (it's in perl-JSON-PP)

* Wed Jan 19 2011 jquelin <jquelin> 2.500.0-2.mga1
+ Revision: 24232
- fix specs
- imported package perl-JSON

